GrailsMockMultipartFile (Grails 6.0.0)

Package: org.grails.plugins.testing

## [Java] Class GrailsMockMultipartFile

- org.grails.plugins.testing.GrailsMockMultipartFile

-     public class GrailsMockMultipartFile
      extends org.springframework.mock.web.MockMultipartFile

  Extends the default Spring MockMultipartFile to provide an implementation of transferTo that doesn't use the file system.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.File` | `targetFileLocation` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsMockMultipartFile (java.lang.String name, byte[] content)`
    `GrailsMockMultipartFile (java.lang.String name, java.io.InputStream contentStream)`
    `GrailsMockMultipartFile (java.lang.String name, java.lang.String originalFilename, java.lang.String contentType, byte[] content)`
    `GrailsMockMultipartFile (java.lang.String name, java.lang.String originalFilename, java.lang.String contentType, java.io.InputStream contentStream)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.io.File` | `getTargetFileLocation()` Returns: The location where the MultipartFile was transfered to
    `` | `public void` | `transferTo(java.io.File dest)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.mock.web.MockMultipartFile` | `org.springframework.mock.web.MockMultipartFile#getContentType(), org.springframework.mock.web.MockMultipartFile#getOriginalFilename(), org.springframework.mock.web.MockMultipartFile#getName(), org.springframework.mock.web.MockMultipartFile#isEmpty(), org.springframework.mock.web.MockMultipartFile#getBytes(), org.springframework.mock.web.MockMultipartFile#getSize(), org.springframework.mock.web.MockMultipartFile#transferTo(java.io.File), org.springframework.mock.web.MockMultipartFile#getInputStream(), org.springframework.mock.web.MockMultipartFile#wait(long), org.springframework.mock.web.MockMultipartFile#wait(long, int), org.springframework.mock.web.MockMultipartFile#wait(), org.springframework.mock.web.MockMultipartFile#equals(java.lang.Object), org.springframework.mock.web.MockMultipartFile#toString(), org.springframework.mock.web.MockMultipartFile#hashCode(), org.springframework.mock.web.MockMultipartFile#getClass(), org.springframework.mock.web.MockMultipartFile#notify(), org.springframework.mock.web.MockMultipartFile#notifyAll(), org.springframework.mock.web.MockMultipartFile#getResource(), org.springframework.mock.web.MockMultipartFile#transferTo(java.nio.file.Path)`

- - ### Field Detail

    - #### private java.io.File targetFileLocation

  - ### Constructor Detail

    - #### public GrailsMockMultipartFile(java.lang.String name, byte[] content)

    - #### public GrailsMockMultipartFile(java.lang.String name, java.io.InputStream contentStream)

    - #### public GrailsMockMultipartFile(java.lang.String name, java.lang.String originalFilename, java.lang.String contentType, byte[] content)

    - #### public GrailsMockMultipartFile(java.lang.String name, java.lang.String originalFilename, java.lang.String contentType, java.io.InputStream contentStream)

  - ### Method Detail

    - #### public java.io.File getTargetFileLocation()

      Returns:
        The location where the MultipartFile was transfered to

    - #### @java.lang.Override public void transferTo(java.io.File dest)